import { IDecompressor, IOperations, IOperationsBuilder, IOperationsBuilderBuildParams } from "./types";
export interface IOperationsBuilderParams {
    decompressor: IDecompressor;
}
export declare class OperationsBuilder implements IOperationsBuilder {
    private readonly decompressor;
    constructor(params: IOperationsBuilderParams);
    build(params: IOperationsBuilderBuildParams): Promise<IOperations>;
}
