"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getNumberEnvVariable = void 0;
const getNumberEnvVariable = (name, def) => {
  const input = process.env[name];
  const value = Number(input);
  if (isNaN(value)) {
    return def;
  } else if (value <= 0) {
    return def;
  }
  return value;
};
exports.getNumberEnvVariable = getNumberEnvVariable;

//# sourceMappingURL=getNumberEnvVariable.js.map